#
# spec file for package libreoffice-templates-presentation-layouts
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libreoffice-templates-presentation-layouts
%if %suse_version > 1000
Supplements:    libreoffice
Supplements:    OpenOffice_org
%endif
# compat stuff
Provides:       OpenOffice_org-templates-presentation-layouts = %version
Obsoletes:      OpenOffice_org-templates-presentation-layouts <= %version
Version:        3.3
Release:        13.18
Summary:        Presentation Layout Templates for LibreOffice
License:        BSD-4-Clause and LGPL-2.1+
Group:          Productivity/Office/Suite
Source0:        ooo-templates-presentation-layouts-2.0.4.tar.bz2
# http://extensions.services.openoffice.org/project/TemplatePack_II
Source1:        Sun_ODF_Template_Pack_en-US-layout.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This package contains a collection of presentation layout templates for
LibreOffice.



%prep
%setup -c -q -b1
# update the Sun templates dir
sun_name=Sun_ODF_Template_Pack
sun_dir=${sun_name}_en-US-layout
mv $sun_dir/LICENSE $sun_dir/LICENSE.$sun_name
# generate README about Sun templates
cat >$sun_dir/README.$sun_name <<EOF
The following list of templates comes from the Sun_ODF_Template_Pack_en-US.oxt
that is originaly available at
http://extensions.services.openoffice.org/project/TemplatePack_II
See LICENSE.$sun_name for more details.
EOF
echo >>$sun_dir/README.$sun_name
find $sun_dir/template -type f | sed "s|$sun_dir/template/||" >>$sun_dir/README.$sun_name

%build

%install
install -m 755 -d $RPM_BUILD_ROOT/usr/share/templates/libreoffice/
cp -a ooo-templates-presentation-layouts-*/common $RPM_BUILD_ROOT/usr/share/templates/libreoffice/
cp -a Sun_ODF_Template_Pack_en-US-layout/template/* $RPM_BUILD_ROOT/usr/share/templates/libreoffice/common
# compat stuff
install -m 755 -d $RPM_BUILD_ROOT/usr/share/templates/ooo/
for dir in `find $RPM_BUILD_ROOT/usr/share/templates/libreoffice/ -type d -printf "%%P \n"` ; do
    echo "~$RPM_BUILD_ROOT/usr/share/templates/ooo/$dir~"
    mkdir -p $RPM_BUILD_ROOT/usr/share/templates/ooo/$dir
done
for file in `find $RPM_BUILD_ROOT/usr/share/templates/libreoffice/ -type f -printf "%%P "` ; do
    ln -sf /usr/share/templates/libreoffice/$file $RPM_BUILD_ROOT/usr/share/templates/ooo/$file
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc ooo-templates-presentation-layouts-*/README.txt Sun*/{README.*,LICENSE.*}
/usr/share/templates/

%changelog
* Tue Jul  3 2012 pmladek@suse.com
- update license to follow spdx.org standard (bnc#768371)
* Fri Feb 18 2011 pmladek@suse.cz
- bumped version to make sure that it is considered as a replacement
  of the older package
* Thu Feb  3 2011 pmladek@suse.cz
- renamed from OpenOffice_org-templates to libreoffice-templates
- added supplements libreoffice to make it installed
  with libreoffice (bnc#668145)
- installed files into /usr/share/templates/libreoffice
- added compat symlinks into the older location /usr/share/templates/ooo
* Mon Sep  1 2008 pmladek@suse.cz
- added more templates from Sun_ODF_Template_Pack_en-US.oxt that was available
  at http://extensions.services.openoffice.org/project/TemplatePack_II
- installed into non-versioned /usr/share/templates/ooo instead of ooo2
- updated version to 3.0
* Wed Apr 25 2007 stbinner@suse.de
- fix build on SUSE Linux 10.0
* Mon Oct 23 2006 pmladek@suse.cz
- new package, version 2.0.4
